Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.config
Class PropertySet

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  MICPProp, PageCompileProp, ProxyDispatcherProp, ServletProps, SocketConnectionProp, SSLProperties

public class PropertySet
extends Resource

Field Summary
`protected httpd` | `server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`PropertySet(java.lang.String name, httpd server)`

Method Summary
`protected java.lang.Object` | `convertingGet(httpd s, Attribute a, java.lang.Object def)`
`java.lang.String` | `getHelpURL()` Get this resource's help url.
`java.lang.String` | `getHelpURL(java.lang.String topic)` Get the help URL for that resource's attribute.
`java.lang.String` | `getTitle()` Get this property set title.
`java.lang.Object` | `getValue(int idx, java.lang.Object def)` Generic get of an attribute value.
`void` | `initialize(java.lang.Object[] values)` Initialization method for attribute holders.
`void` | `setValue(int idx, java.lang.Object value)` Set value forwards the effectation to the properties.
`java.lang.Object` | `unsafeGetValue(int idx, java.lang.Object def)` Generic get of an attribute value.

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, unregisterFrame, unsafeGetContext, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected httpd server

Constructor Detail

### PropertySet

    public PropertySet(java.lang.String name,
                       httpd server)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Get this property set title.

  Returns:
    A String encoding the title of the property set.

### getHelpURL

    public java.lang.String getHelpURL()

  Get this resource's help url.

  Overrides:
    `getHelpURL` in class `Resource`
  Returns:
    An URL, encoded as a String, or null if not available.

### getHelpURL

    public java.lang.String getHelpURL(java.lang.String topic)

  Get the help URL for that resource's attribute.

  Overrides:
    `getHelpURL` in class `Resource`
  Parameters:
    `topic` - The topic (can be an attribute name, or a property, etc).
  Returns:
    A String encoded URL, or null.

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Set value forwards the effectation to the properties.

  Overrides:
    `setValue` in class `Resource`
  Parameters:
    `idx` - The attribute (property in that case) being set.
    `value` - The new value for that property.

### convertingGet

    protected java.lang.Object convertingGet(httpd s,
                                             Attribute a,
                                             java.lang.Object def)

### getValue

    public java.lang.Object getValue(int idx,
                                     java.lang.Object def)

  Description copied from class: `AttributeHolder`
  Generic get of an attribute value. Retreive an attribute value from its index in the resource's attribute list.

  Overrides:
    `getValue` in class `Resource`
  Parameters:
    `idx` - The index of the attribute whose value is queried.
    `def` - The default value (if the attribute isn't defined).
  Returns:
    An object, giving the attribute value, or the provided default if this attribute isn't currently define for the resource.

### unsafeGetValue

    public java.lang.Object unsafeGetValue(int idx,
                                           java.lang.Object def)

  Description copied from class: `AttributeHolder`
  Generic get of an attribute value. Retreive an attribute value from its index in the resource's attribute list. THIS VERSION IS NOT SYNCHRONIZED AND THEREFORE SHOULD BE USED ONLY WHEN YOU ARE SURE YOU SHOULD USE THIS, WHICH MEANS ALMOST NEVER!

  Overrides:
    `unsafeGetValue` in class `Resource`
  Parameters:
    `idx` - The index of the attribute whose value is queried.
    `def` - The default value (if the attribute isn't defined).
  Returns:
    An object, giving the attribute value, or the provided default if this attribute isn't currently define for the resource.

### initialize

    public void initialize(java.lang.Object[] values)

  Description copied from class: `AttributeHolder`
  Initialization method for attribute holders. Each time an attribute holder get restored, its `initialize` method gets called. The holder should initialize itself with the set of provided values and perform any additional startup code.

  Overrides:
    `initialize` in class `Resource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD